from pwn import *

r = remote("192.168.0.221", "20111")

r.recvuntil(b"Server public key: ")
r.recvline()

r.sendlineafter(b"> ", b"0")

r.recvuntil(b"Encrypted flag (hex): ")
ct = eval(r.recvline().decode().strip())

print(bytes(ct).decode())
